
#include "StdAfx.h"

#ifndef __DVINTERFACE__
#define __DVINTERFACE__

// These IID's retrieve the DLL's that should be used as the default
//  interface.  They use the associated registry keys to find the DLL.
//
#define IID_Datasource	1000
#define IID_Rules		1001
#define IID_Run			1002

// These IID's retrieve the original DLL's as installed by DataViews.  Use
//  these keys if you want to have access to the original interface after
//  changing the registry keys to custom values.
//
#define IID_DV_Datasource	11000
#define IID_DV_Rules		11001
#define IID_DV_Run			11002

#define DLLIMPORT		__declspec(dllimport)
#define DLLEXPORT		__declspec(dllexport)

typedef BOOL (*GETIFFUNC)(int, void**);

class DVIUnknown
{
public:
	virtual void Release() = 0;
	virtual void GetIdInfo(CString& mfgName, CString& objName, CString& versionStr) = 0;
};

#ifdef DVDRAW_MAIN
DLLEXPORT void DVIGetInterface(int idd, void** pInterf);
#else
DLLIMPORT void DVIGetInterface(int idd, void** pInterf);
#endif // DVDRAW_MAIN

#endif